Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class Constants

    java.lang.Object
      org.deegree.portal.standard.csw.control.Constants

All Implemented Interfaces:
  Constants

    public class Constants

extends Object
implements Constants

A `${type_name}` class.
Constants class for the CSW client based on iGeoPortal

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary
`(package private) static String` | `CONF_DATASERIES`
`(package private) static String` | `CONF_DATE`
`(package private) static String` | `CONF_GEOGRAPHICBOX`
`(package private) static String` | `CONF_IDENTIFIER`
`(package private) static String` | `CONF_KEYWORDS`
`(package private) static String` | `CONF_MDTYPE`
`(package private) static String` | `CONF_SERVICESEARCH`
`(package private) static String` | `CONF_SIMPLESEARCH`
`(package private) static String` | `CONF_TOPICCATEGORY`
`(package private) static String` | `CSW_CLIENT_CONFIGURATION`
`(package private) static String` | `RPC_DATASERIES`
`(package private) static String` | `RPC_DATEFROM`
`(package private) static String` | `RPC_DATETO`
`(package private) static String` | `RPC_DAY`
`(package private) static String` | `RPC_IDENTIFIER`
`(package private) static String` | `RPC_MONTH`
`(package private) static String` | `RPC_PROTOCOL`
`(package private) static String` | `RPC_SERVICESEARCH`
`(package private) static String` | `RPC_YEAR`
`static String` | `SESSION_SHOPPINGCART` needed in jsp pages

Fields inherited from interface org.deegree.portal.Constants
`CURRENTMAPCONTEXT, DEFAULTMAPCONTEXT, DOWNLOADDIR, MESSAGE, RPC_BBOX, RPC_BBOXMAXX, RPC_BBOXMAXY, RPC_BBOXMINX, RPC_BBOXMINY, RPC_ID, USERNAME, USERREPOSITORY`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONF_DATASERIES

    static final String CONF_DATASERIES

See Also:
  Constant Field Values

### CONF_DATE

    static final String CONF_DATE

See Also:
  Constant Field Values

### CONF_GEOGRAPHICBOX

    static final String CONF_GEOGRAPHICBOX

See Also:
  Constant Field Values

### CONF_IDENTIFIER

    static final String CONF_IDENTIFIER

See Also:
  Constant Field Values

### CONF_KEYWORDS

    static final String CONF_KEYWORDS

See Also:
  Constant Field Values

### CONF_MDTYPE

    static final String CONF_MDTYPE

See Also:
  Constant Field Values

### CONF_SERVICESEARCH

    static final String CONF_SERVICESEARCH

See Also:
  Constant Field Values

### CONF_SIMPLESEARCH

    static final String CONF_SIMPLESEARCH

See Also:
  Constant Field Values

### CONF_TOPICCATEGORY

    static final String CONF_TOPICCATEGORY

See Also:
  Constant Field Values

### CSW_CLIENT_CONFIGURATION

    static final String CSW_CLIENT_CONFIGURATION

See Also:
  Constant Field Values

### RPC_DATASERIES

    static final String RPC_DATASERIES

See Also:
  Constant Field Values

### RPC_DATEFROM

    static final String RPC_DATEFROM

See Also:
  Constant Field Values

### RPC_DATETO

    static final String RPC_DATETO

See Also:
  Constant Field Values

### RPC_DAY

    static final String RPC_DAY

See Also:
  Constant Field Values

### RPC_IDENTIFIER

    static final String RPC_IDENTIFIER

See Also:
  Constant Field Values

### RPC_MONTH

    static final String RPC_MONTH

See Also:
  Constant Field Values

### RPC_PROTOCOL

    static final String RPC_PROTOCOL

See Also:
  Constant Field Values

### RPC_SERVICESEARCH

    static final String RPC_SERVICESEARCH

See Also:
  Constant Field Values

### RPC_YEAR

    static final String RPC_YEAR

See Also:
  Constant Field Values

### SESSION_SHOPPINGCART

    public static final String SESSION_SHOPPINGCART

  needed in jsp pages

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org